import { Repository } from 'typeorm';
import { VesselEntity } from './vessel.entity';
export declare class VesselsService {
    private readonly repo;
    constructor(repo: Repository<VesselEntity>);
    findAll(): Promise<VesselEntity[]>;
    findOne(id: string): Promise<VesselEntity | null>;
    create(data: Partial<VesselEntity>): Promise<VesselEntity>;
    update(id: string, data: Partial<VesselEntity>): Promise<VesselEntity | null>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
